Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1600095

Description of problem:

unlike Admin, a regular user is not able to effectively use "Any Location" context on accessing Katello resources. So if Admin user

creates a katello resource while having "Any Location" context set, audits for these actions and resources will not be visible to a

regular user.

Version-Release number of selected component (if applicable):

6.4.0-11

How reproducible:

always

Steps to Reproduce:

1. create an organization (o1)

2. clone the "Auditor" role and assign the clone to the org (o1)

2. create a regular user (u1), belonging to org (o1), having "Org Admin" and the auditor clone roles assigned.

3. as an Admin user, set your location context to Any Location and organization context to o1

4. as an Admin user, create some katello resource (e.g. content view) OR architecture.

5. optional: as admin, check that the audits have been created

6. as u1, check the audits

Actual results:

u1 is unable to see any audits related to the resources created|manipulated in step #4 despite the fact that these belong to his

organization.

Related issues:

Related to Foreman - Bug #25039: No Audit entries found if you selected the O... Duplicate

Related to Foreman - Bug #25784: allowed_taxonomies always returns empty list Closed

Associated revisions

Revision c4693b37 - 10/02/2018 11:26 AM - Sebastian Gräßl

Fixes #24232 - Return taxed and untaxed audits in list (#6073)

Revision e40dee59 - 11/27/2018 11:35 AM - Sebastian Gräßl

Refs #24232 - Fix migration to ignore taxonomies for filters

Revision 25660e68 - 12/11/2018 12:08 PM - Sebastian Gräßl
Refs #24232 - Fix migration for upgrades

History

#1 - 09/12/2018 06:43 AM - Sebastian Gräßl

- Subject changed from Non admin user is unable to see the audits for katello and taxable resources created by admin using Any Location context

 to Non admin user is unable to see the audits for katello and taxable resources created by admin using Any Location context

- Assignee set to Sebastian Gräßl

#2 - 09/17/2018 11:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6073 added

#3 - 10/02/2018 11:27 AM - Marek Hulán

- Fixed in Releases 1.20.0 added

#4 - 10/02/2018 12:01 PM - Sebastian Gräßl

- Status changed from Ready For Testing to Closed

Applied in changeset c4693b378424ac1d9cb5aab9cd5e84b83a861479.

#5 - 10/03/2018 07:48 AM - Chun-Liang Lin

- Related to Bug #25039: No Audit entries found if you selected the Organization filter. added

#6 - 11/16/2018 10:50 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6251 added

#7 - 11/27/2018 11:35 AM - Lukas Zapletal

- Fixed in Releases 1.21.0 added

- Fixed in Releases deleted (1.20.0)

#8 - 12/11/2018 08:53 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6319 added

#9 - 01/02/2019 02:18 PM - Tomer Brisker

It's too late for this issue, but please keep in mind only to use "Refs #" for follow up commits to issues that haven't been released yet.

#10 - 01/06/2019 12:35 PM - Tomer Brisker

- Related to Bug #25784: allowed_taxonomies always returns empty list added
